<?php

namespace Sites\Cherry;

function get_shortname()
{
    return 'cr';
}

function online_status()
{
    global $_AVOS;

   
    $apiKey = $_AVOS['config']['webcams']['Cherry']['api_key'];
    $url = "https://api.cherry.tv/affiliates/v1/models?apiKey=$apiKey&status=online&embed.stream_url";
    
// Function to map status values
function mapGender($gender) {
    $genderMap = [
        'girls' => 'f',
        'couple' => 'c',
        'male' => 'm',
        'other' => 't',
        'trans' => 't'
        // Add more mappings if needed
    ];
 



    // Use the gender value if it exists in the mapping, otherwise, use the original value
    return isset($genderMap[$gender]) ? $genderMap[$gender] : $gender;
}
$raw = @file_get_contents($url);

if ($raw === false) {
    // Handle the error when fetching the data
    die('Error fetching data from the API.');
}

$json = json_decode($raw);

// Check if decoding was successful
if ($json === null) {
    // Handle the error when decoding JSON
    die('Error decoding JSON data.');
}


$models = array();

// Check if $json->data is an array before iterating through it
if (is_array($json->data)) {
    foreach ($json->data as $m) {
    // Convert spoken_languages array to a comma-separated string
            $spokenLanguages = implode(',', (array)$m->model->spoken_languages);
    // Map the gender
            $gender = mapGender($m->model->gender);

    // Extract categories or use tags if categories is null or empty
            $categories = !empty($m->model->categories) ? implode(',', $m->model->categories) : implode(',', (array)$m->model->tags);
    // Extract social links
            $socialLinks = (array)$m->model->social_links;

        // Your existing code remains unchanged
           $models[] = array(
            'site'                   => 'cr',
            'nickname'               => $m->model->username, 
            'name'                   => $m->model->username,
            'imageUrl'               => $m->room->thumbnail,
            'viewers'                => $m->room->viewers,
            'followers'              => $m->model->followers,
            'age'                    => $m->model->age,
            'about'                  => $m->model->about,
            'languages'              => $spokenLanguages,
            'location'               => $m->model->location,
            'tags'                   => $categories,
            'subject'                => $m->room->subject,
            'earnedForGoal' => 0, // Replace with actual value if available
            'neededForGoal' => 0, // Replace with actual value if available
            'broadcastVR' => 0 ,// Replace with actual value if available
            'gender'                 => $gender, // Use the mapped gender
            'level'                  => $m->model->level,
            'levelprogress'          => $m->model->level_progress,
            'links'                  => $socialLinks,
            'status'                 => str_replace(
                array('live', 'preparing', 'away', 'offline'),
                array('f', 'g', 'a', 'o'),
                (string)$m->room->status
            )

             
        );
    }

    // Output the models array or do something else with it
    //print_r($models);
} else {
    // Handle the case when $json->data is not an array
    die('Invalid data format from the API.');
}

    return($models); 
}
