<?php
namespace Sites\FlirtBack;

function get_shortname()
{
    return 'fb';
}

function online_status()
{
    global $_AVOS;

    $url = 'https://flirtback.com/api/affiliate/creators?only_live=true&campaign_id=' . $_AVOS['config']['webcams']['FlirtBack']['affiliate'];

    // Fetch the API response
    $raw = @file_get_contents($url);
    if ($raw === false) {
        echo "ERR: Unable to fetch data from the API.\n";
        return [];
    }

    // Decode the JSON response
    $data = json_decode($raw, true);
    if ($data === null) {
        echo "ERR: Failed to decode JSON response.\n";
        return [];
    }

    // Ensure the expected 'data' key exists
    if (!isset($data['data'])) {
        echo "ERR: Missing 'data' key in API response.\n";
        return [];
    }

    $models = [];
    foreach ($data['data'] as $m) {
        $blocked = [];

        if (!empty($m['blocked_countries'])) {
            if (isset($m['blocked_countries']['blockedCountries'])) {
                foreach ($m['blocked_countries']['blockedCountries'] as $c) {
                    $blocked[$c] = 1;
                }
            }

            if (isset($m['blocked_countries']['blockedRegions'])) {
                foreach ($m['blocked_countries']['blockedRegions'] as $c => $r) {
                    $blocked[$c] = 1;
                }
            }
        }

        $blocked = array_keys($blocked);

        // Add model data to the models array
        $models[] = [
            'site'          => 'fb',
            'nickname'      => $m['nickname'] ?? '',
            'name'          => \Avos\Utils\convert_ascii($m['nickname'] ?? ''),
            'imageUrl'      => $m['avatar_thumbnail_url'] ?? '',
            'followers'     => $m['followers_count'] ?? 0,
            'age'           => $m['age'] ?? '',
            'tags' 			=> '',
            'birthday'      => $m['birthday'] ?? '',
            'languages'     => \Avos\Utils\convert_ascii(iconv('UTF-8', 'ASCII//TRANSLIT', $m['language'] ?? '')),
            'location'      => \Avos\Utils\convert_ascii($m['country'] ?? ''),
            'subject'       => \Avos\Utils\convert_ascii($m['about_me'] ?? ''),
            'earnedForGoal' => 0, // Placeholder, replace if actual value is available
            'neededForGoal' => 0, // Placeholder, replace if actual value is available
            'broadcastVR'   => 0, // Placeholder, replace if actual value is available
            'blocked'       => $blocked,
            'gender'        => str_replace(
                ['c', 'f', 'm', 't', 's', 'tf', 'tm', 'tn'],
                ['c', 'f', 'm', 't', 't', 't', 't', 't'],
                $m['gender'] ?? ''
            ),
            'status'        => !empty($m['is_online']) ? 'f' : '0' // Set 'f' for online, '0' for offline
        ];
    }

    return $models;
    print_r($models);
}
