<?php

// Assuming you have a database connection
$hostname = $_AVOS['config']['mysql']['hostname'];
$username = $_AVOS['config']['mysql']['username'];
$password = $_AVOS['config']['mysql']['password'];
$dbname = $_AVOS['config']['mysql']['database'];

// Create connection
$conn = new mysqli($hostname, $username, $password, $dbname);

// Check connection
if ($conn->connect_error) {
    die("Connection failed: " . $conn->connect_error);
}

// Check if the form is submitted
if ($_SERVER["REQUEST_METHOD"] == "POST") {
    $siteId = $_POST['siteId'];
    $siteNames = mysqli_real_escape_string($conn, $_POST['siteNames']);
    $siteType = mysqli_real_escape_string($conn, $_POST['siteType']);
    $SiteImage = mysqli_real_escape_string($conn, $_POST['SiteImage']);
    $SiteLink = mysqli_real_escape_string($conn, $_POST['SiteLink']);
    $SiteAddon = mysqli_real_escape_string($conn, $_POST['SiteAddon']);
    $SiteOnwer = mysqli_real_escape_string($conn, $_POST['SiteOnwer']);
    $sitesDescription = mysqli_real_escape_string($conn, $_POST['sitesDescription']);
    $title = mysqli_real_escape_string($conn, $_POST['title']);
    $description = mysqli_real_escape_string($conn, $_POST['description']);
    $pros = array_map(function ($pro) use ($conn) { return mysqli_real_escape_string($conn, $pro); }, explode(',', $_POST['pros']));
    $cons = array_map(function ($con) use ($conn) { return mysqli_real_escape_string($conn, $con); }, explode(',', $_POST['cons']));
    $tags = array_map(function ($tag) use ($conn) { return mysqli_real_escape_string($conn, $tag); }, explode(',', $_POST['tags']));
    $keywords = $_POST['keywords']; // No need to escape, as it's stored as text
    $postHighlights = mysqli_real_escape_string($conn, $_POST['postHighlights']);
    $nextUpdate = mysqli_real_escape_string($conn, $_POST['nextUpdate']);

    // Update the record in the promote table
    $sql = "UPDATE promote SET
            siteNames = '$siteNames',
            siteType = '$siteType',
            SiteImage = '$SiteImage',
            SiteLink = '$SiteLink',
            SiteAddon = '$SiteAddon',
            SiteOnwer = '$SiteOnwer',
            keywords = '$keywords', 
            sitesDescription = '$sitesDescription',
            title = '$title',
            description = '$description',
            pros = '" . implode(',', $pros) . "', 
            tags = '" . implode(',', $tags) . "', 
            cons = '" . implode(',', $cons) . "', 
            postHighlights = '$postHighlights',
            nextUpdate = '$nextUpdate' 
            WHERE siteId = $siteId";

    if ($conn->query($sql) === TRUE) {
        echo "Site updated successfully";

        // Now update the model social links
        if (isset($_POST['modelLinks'])) {
            // Clear existing social media links for the siteId
            $conn->query("DELETE FROM model_social_links WHERE model_id = $siteId");

            // Insert the new social media links
            foreach ($_POST['modelLinks'] as $platform => $social_id) {
                $platform = mysqli_real_escape_string($conn, $platform);
                $social_id = mysqli_real_escape_string($conn, $social_id);

                // Prepare the SQL statement for inserting into model_social_links
                $socialSql = "INSERT INTO model_social_links (model_id, platform, social_id) VALUES ($siteId, '$platform', '$social_id')";
                if ($conn->query($socialSql) === FALSE) {
                    echo "Error updating social links: " . $conn->error;
                }
            }
        }
    } else {
        echo "Error updating site: " . $conn->error;
    }
}

// Retrieve the site details based on the site ID from the URL parameter
if (isset($_GET['id'])) {
    $siteId = (int)$_GET['id'];
    $result = $conn->query("SELECT * FROM promote WHERE siteId = $siteId");

    if ($result->num_rows > 0) {
        $promot = $result->fetch_assoc();

        // Retrieve social media links for the siteId
        $socialLinksResult = $conn->query("SELECT platform, social_id FROM model_social_links WHERE model_id = $siteId");
        $socialLinks = [];
        while ($socialLink = $socialLinksResult->fetch_assoc()) {
            $socialLinks[$socialLink['platform']] = $socialLink['social_id'];


          
        }
    } else {
        echo "Site not found";
        exit();
    }
} else {
    echo "Site ID not provided";
    exit();
}

// Close the database connection
$conn->close();
?>

<style>

.media-preview img, .media-preview video {
    width: 150px;
    height: 150px;
    object-fit: cover;
    border-radius: 8px;
    border: 1px solid #ddd;
    padding: 4px;
    transition: transform 0.3s ease;
}

.media-preview img:hover, .media-preview video:hover {
    transform: scale(1.1);
}

.help-block {
    font-size: 13px;
    color: #6c757d; 
}

</style>

<div class="form-three widget-shadow">
<h3 class="title1" style="color:black"> Tidy up the area</h3>	

    <form action="" method="post" class="form-horizontal">
        <!-- Add a hidden input for the siteId -->
       
       
       
       
       
        <input type="hidden" name="siteId" class="form-control1" id="focusedinput" value="<?php echo $promot['siteId']; ?>">

      

        <div class="form-group">
									<label for="focusedinput" class="col-sm-2 control-label">Website | Model | Event </label>
									<div class="col-sm-4">
										<input type="text" class="form-control1" id="focusedinput" type="text" id="siteNames" name="siteNames" value="<?php echo $promot['siteNames']; ?>">
									</div>
									<div class="col-sm-2">
										<p class="help-block">Name to edit</p>
									</div>
								</div>


                                <div class="form-group">
    <label for="siteType" class="col-sm-2 control-label">Site Type:</label>
    <div class="col-sm-4">
    <select name="siteType" id="siteType" class="form-control1">
    <option disabled>Select Category</option>
    <option <?php echo (strtolower($promot['siteType']) == 'featured performers') ? 'selected' : ''; ?>>Featured Performers</option>
    <option <?php echo (strtolower($promot['siteType']) == 'affiliate websites') ? 'selected' : ''; ?>>Affiliate Websites</option>
    <option <?php echo (strtolower($promot['siteType']) == 'non-nude content') ? 'selected' : ''; ?>>Non-Nude Content</option>
    <option <?php echo (strtolower($promot['siteType']) == 'exclusive events') ? 'selected' : ''; ?>>Exclusive Events</option>
    <option <?php echo (strtolower($promot['siteType']) == 'adult entertainment') ? 'selected' : ''; ?>>Adult Entertainment</option>
    <option <?php echo (strtolower($promot['siteType']) == 'trending videos') ? 'selected' : ''; ?>>Trending Videos</option>
    <option <?php echo (strtolower($promot['siteType']) == 'top cam sites') ? 'selected' : ''; ?>>Top Cam Sites</option>
    <option <?php echo (strtolower($promot['siteType']) == 'premium articles') ? 'selected' : ''; ?>>Premium Articles</option>
    <option <?php echo (strtolower($promot['siteType']) == 'interactive shows') ? 'selected' : ''; ?>>Interactive Shows</option>
    <option <?php echo (strtolower($promot['siteType']) == 'recorded streams') ? 'selected' : ''; ?>>Recorded Streams</option>
    <option <?php echo (strtolower($promot['siteType']) == 'porn networks') ? 'selected' : ''; ?>>Porn Networks</option>
</select>

    </div>
</div>


<div class="form-group">
    <label for="focusedinput" class="col-sm-2 control-label">
        Site | Model - Image | Video
    </label>
    <div class="col-sm-4">
        <input 
            type="text" 
            class="form-control1" 
            id="focusedinput" 
            name="SiteImage" 
            value="<?php echo $promot['SiteImage']; ?>" 
            placeholder="Enter image or video path">
    </div>
    <div class="col-sm-2">
        <p class="help-block">Add the image path or the video</p>
    </div>
    <div class="col-sm-4">
        <?php if (!empty($promot['SiteImage'])): ?>
            <?php 
                $filePath = htmlspecialchars($promot['SiteImage'], ENT_QUOTES, 'UTF-8');
                $fileExtension = pathinfo($filePath, PATHINFO_EXTENSION);
            ?>
            <div class="media-preview" style="text-align: center;">
                <?php if (in_array($fileExtension, ['webp', 'jpg', 'jpeg', 'png', 'gif'])): ?>
                    <img 
                        src="<?php echo $filePath; ?>" 
                        alt="Preview" 
                        style=" object-fit: cover; border-radius: 8px; border: 1px solid #ddd; padding: 4px;"
                    >
                <?php elseif (in_array($fileExtension, ['webm', 'mp4', 'ogg'])): ?>
                    <video 
                        src="<?php echo $filePath; ?>" 
                        controls 
                        style=" border-radius: 8px; border: 1px solid #ddd; padding: 4px;"
                    ></video>
                <?php else: ?>
                    <p style="font-size: 14px; color: #888;">Unsupported file format</p>
                <?php endif; ?>
            </div>
        <?php else: ?>
            <p style="font-size: 14px; color: #888; text-align: center;">No media available</p>
        <?php endif; ?>
    </div>
</div>



         <div class="form-group">
									<label for="focusedinput" class="col-sm-2 control-label">Site Link:</label>
									<div class="col-sm-4">
										<input type="text" class="form-control1" id="focusedinput" type="text" id="SiteLink" name="SiteLink" value="<?php echo $promot['SiteLink']; ?>">
									</div>
									<div class="col-sm-2">
										<p class="help-block">Add your afiliate link</p>
									</div>
		</div>




       <!-- Social Media Links -->
    <?php
    $socialPlatforms = ['facebook', 'twitter', 'snapchat', 'instagram', 'youtube', 'tiktok', 'reddit', 'other'];
    foreach ($socialPlatforms as $platform):
        $socialId = isset($socialLinks[$platform]) ? $socialLinks[$platform] : '';
    ?>
        <div class="form-group">
        <label class="col-sm-2 control-label" for="<?php echo $platform; ?>"><?php echo ucfirst($platform); ?> Link</label>
        <div class="col-sm-4">
           
            <input type="text" class="form-control1" id="<?php echo $platform; ?>" name="modelLinks[<?php echo $platform; ?>]" value="<?php echo $socialId; ?>" placeholder="<?php echo ucfirst($platform); ?> Link">
        </div>
        </div>
    <?php endforeach; ?>






    <div class="form-group">
									<label for="focusedinput" class="col-sm-2 control-label">Post Highlights</label>
									<div class="col-sm-4">
										<input type="text" class="form-control1" id="focusedinput" type="text" id="postHighlights" name="postHighlights" value="<?php echo $promot['postHighlights']; ?>">
									</div>
									<div class="col-sm-2">
										<p class="help-block">Quote of the Day, The Magic Phrase</p>
									</div>
		</div>




        

        <div class="form-group">
									<label for="focusedinput" class="col-sm-2 control-label">Main Site | Model Site</label>
									<div class="col-sm-4">
										<input type="text" class="form-control1" id="focusedinput" type="text" id="SiteOnwer" name="SiteOnwer" value="<?php echo $promot['SiteOnwer']; ?>">
									</div>
									<div class="col-sm-2">
										<p class="help-block">Add modele Websites | Add Promoted Website Name</p>
									</div>
		</div>
       
        <div class="form-group">
            <label for="focusedinput" class="col-sm-2 control-label">Pros</label>
            <div class="col-sm-6">
               
                <textarea id="pros" name="pros" class="form-control1"><?php echo  $promot['pros']; ?></textarea>
            </div>
            <div class="col-sm-2">
                <p class="help-block">Pros separated by commas</p>
            </div>
        </div>

        <div class="form-group">
            <label for="focusedinput" class="col-sm-2 control-label">Cons</label>
            <div class="col-sm-6">
            <textarea id="cons" name="cons" class="form-control1"><?php echo  $promot['cons']; ?></textarea>
            </div>
            <div class="col-sm-2">
                <p class="help-block">Cons separated by commas</p>
            </div>
        </div>

        <div class="form-group">
                <label for="focusedinput" class="col-sm-2 control-label">Tags</label>
                <div class="col-sm-6">
                    <input type="text" id="tags" name="tags" class="form-control1" value="<?php echo  $promot['tags']; ?>">
                </div>
                <div class="col-sm-2">
                    <p class="help-block">Cons separated by commas</p>
                </div>
            </div>


            












        <div class="form-group">
    <label for="focusedinput" class="col-sm-2 control-label">Site Description:</label>
    <div class="col-sm-8">
        <textarea id="sitesDescription" name="sitesDescription" style="height: 150px; padding: 10px; width:100%;"><?php echo $promot['sitesDescription']; ?></textarea>
    </div>
    <div class="col-sm-2">
        <p class="help-block">maximum 500 caracters <code>(the limit is not set but...is recommend)</code></p>
    </div>


            </div>


<div class="form-group">
									<label for="focusedinput" class="col-sm-2 control-label">Next Post Description</label>
									<div class="col-sm-4">
                                        <textarea id="nextUpdate" name="nextUpdate" style="height: 100px; padding: 10px; width:100%;"><?php echo $promot['nextUpdate']; ?></textarea>
									</div>
									<div class="col-sm-2">
										<p class="help-block">Provide a brief overview of what the next post will be about or who will be featured.</p>
									</div>
		</div>






<div class="form-title">
							<h4>Edit the meta if exist</h4>
						</div>
        <div class="form-group">
                <label for="focusedinput" class="col-sm-2 control-label">Title</label>
                <div class="col-sm-6">
                    <input type="text" id="title" name="title" class="form-control1" value="<?php echo $promot['title']; ?>">
                </div>
                <div class="col-sm-2">
                    <p class="help-block">Page Title</p>
                </div>
            </div>

<div class="form-group">
                <label for="focusedinput" class="col-sm-2 control-label">Keywords</label>
                <div class="col-sm-6">
                <input type="text" id="keywords" name="keywords" class="form-control1" value="<?php echo is_array($promot['keywords']) ? implode(',', $promot['keywords']) : $promot['keywords']; ?>">


                </div>
                <div class="col-sm-2">
                    <p class="help-block">Keywords separated by commas </p>
                </div>
            </div>
        

            <div class="form-group">
                <label for="focusedinput" class="col-sm-2 control-label">Small Description</label>
                <div class="col-sm-6">
                    <textarea id="description" name="description" style="height: 50px; padding: 10px; width:100%;"><?php echo $promot['description']; ?></textarea>
                </div>
                <div class="col-sm-2">
                    <p class="help-block">Page description</p>
                </div>
            </div>

    
        <button type="submit" class="btn btn-default">Update</button>
    </form>

</div>