<?php

$path = array_key_first($_GET);
$path = strtok($path, '?');

$routes = \Avos\Scaffold\decodeUrlConfig();

foreach ($routes as $r) {
    if (strstr($r[2], '!')) {
        continue;
    }
    $re = preg_replace('!(:\w+)!', '.*', $r[2]);
    if (preg_match('!^' . $re . '$!', $path)) {
       echo "/* $r[0] */\n";
       $options = getTemplateValue($r[0] . 'Options');
       if (!empty($options)) {
           foreach (explode(',', $options) as $opt) {
               if (preg_match('!(\w+)=(\w+)!', $opt, $cap)) {
                   $k = $cap[1];
                   $$k = $cap[2];
               }
           }
       }
       break;
    }
}

$ct = 3600;
$ts = gmdate("D, d M Y H:i:s", time() + $ct) . " GMT";

header("Expires: $ts");
header("Pragma: cache");
header("Cache-Control: max-age=$ct");
header("Content-type: text/css");

ob_start(function($buf) {
    if (getConfig('site', 'minify', 0)) {
        return minify_css($buf);
    }
    else {
        return $buf;
    }
});
?>

.page-head {
    color: black;
}

body {
    margin: 0;
    font-family: <?= $fontFamily ?>, auto;
    font-size: <?= $fontSize ?>;
    /*background-color: #000;*/
    /*background-color: #EDC8D7;*/
    /*background-color: #4b4b4b;*/
    font-color: yellow;
    background-color: <?= $defaultBgColor ?> !important;
}

/*
.main {
    background-color: <?= $defaultBgColor ?> !important;
}
*/

body, a:link, a:visited {
    color: <?= $defaultTextColor ?> !important;
}

.page-content a:link, .page-content a:visited {
    color: <?= $defaultTextColor ?> !important;
}

.main-nav li.has-items ul {
    background-color: <?= $headerMenuBgColor ?>;
}

a:link, a:visited {
    color: <?= $defaultLinkColor ?> !important;
}

.page-content, .top-placement {
    background-color: <?= $mainBgColor ?> !important;
}

footer {
    background-color: <?= $footerBgColor ?> !important;
}

.footer-wrapper .footer-column a {
    color: <?= $footerTextColor ?> !important;
}

.logo-wrapper a svg {
    color: <?= $headerMenuBurgerColor ?> !important;
}

<? if (!empty($sidebarWidth)): ?>
.sidebar {
    width: <?= $sidebarWidth ?>;
}
.sidebar.collapse {
    margin-left: -<?= $sidebarWidth ?>;
}
<? endif; ?>

#sidebar, #sidebar a {
    background-color: <?= $sidebarBgColor ?> !important;
<? if (!empty($sidebarWidth)): ?>
    font-size:<?= $sidebarFontSize ?>;
<? endif; ?>
}

#sidebar * {
    background-color: <?= $sidebarBgColor ?> !important;
    color: <?= $sidebarTextColor ?> !important;
}

#sidebar .widget {
    padding: 10px 15px 0 15px;
}

.primary-header {
    background-color: <?= $headerBgColor ?> !important;
<? if (!empty($headerSpacing)): ?>
    padding: <?= $headerSpacing ?> !important;
<? endif; ?>
}

<? if (!empty($headerSpacing)): ?>
.primary-header .col-logo .logo {
    margin-left: <?= $headerSpacing ?> !important;
}
<? endif; ?>

.menu-header, .menu-header a:link, .menu-header a:visited {
    background-color: <?= $headerMenuBgColor ?> !important;
    color: <?= $headerTextColor ?> !important;
}

.menu-header .main-nav li.active a,.menu-header .main-nav li:active a,.menu-header .main-nav li:hover a {
    border-bottom-color: <?= $headerMenuHoverColor ?> !important;
}

.model-content, .model-box, .model-tab, #chatembed {
    background-color: <?= $profileBgColor ?> !important;
}

.detail-item, .detail-item a:link, .detail-item a:visited {
    background-color: <?= $profileDetailsBgColor ?> !important;
    color: <?= $profileDetailsTextColor ?> !important;
}

.tab-nav li a:link, .tab-nav li a:visited {
    background-color: <?= $profileTabBgColor ?> !important;
    color: <?= $profileTabTextColor ?> !important;
}

.tab-nav li.active a:link, .tab-nav li.active a:visited {
    background-color: <?= $profileTabActiveBgColor ?> !important;
    color: <?= $profileTabActiveTextColor ?> !important;
}

#tab-bio .model-details .detail-item {
    border-left: 3px solid <?= $profileDetailsBorderColor ?> !important;
}

ul.cloud a {
  --size: 4;
  font-size: calc(var(--size) * <?= $webcamsSearchCloudSizeFactor ?> + <?= $webcamsSearchCloudSizeMin ?>);
<? if ($webcamsSearchCloudFaded): ?>
  opacity: calc((15 - (9 - var(--size))) / 15);
<? endif; ?>
}

<? if ($webcamsSearchCloudColor): ?>
.cloud a:link, .cloud a:visited { color: <?= $webcamsSearchCloudColor ?> !important; }
<? endif; ?>

/*
ul.cloud li a { --color: <?= $webcamsSearchCloudColor1 ?> !important; }
<? if (!empty($webcamsSearchCloudColor2)): ?>ul.cloud li:nth-child(2n+1) a { --color: <?= $webcamsSearchCloudColor2 ?> !important; }<? endif; ?>
<? if (!empty($webcamsSearchCloudColor3)): ?>ul.cloud li:nth-child(3n+1) a { --color: <?= $webcamsSearchCloudColor3 ?> !important; }<? endif; ?>
<? if (!empty($webcamsSearchCloudColor4)): ?>ul.cloud li:nth-child(4n+1) a { --color: <?= $webcamsSearchCloudColor4 ?> !important; }<? endif; ?>
*/

.menu-header .main-nav li a {
    font-size: <?= $headerMenuFontSize ?>;
    font-family: <?= $headerMenuFontFamily ?>;
}

.item-grid .live-tag, .item-grid a.live-tag {
    background-color: <?= $gridStatusBgColor ?>;
    color: <?= $gridStatusTextColor ?> !important;
}

.item-grid .live-tag {
    opacity: <?= $gridStatusOpacity ?>;
}

.item-grid .live-tag-Freechat:before {
    background-color: <?= $freechatColor ?> !important;
}

.item-grid .live-tag-Group:before {
    background-color: <?= $groupColor ?>;
}

.item-grid .live-tag-Private:before {
    background-color: <?= $privateColor ?>;
}

.item-grid .live-tag-Offline:before {
    background-color: <?= $offlineColor ?>;
}

.model-box .full-width.btn {
    background-color: <?= $roomLinkBgColor ?>;;
}

#customSelectors a:link, #multiSelectors a:link {
    background-color: <?= $customBgColor ?> !important;
    color: <?= $customTextColor ?> !important;
}

#customSelectors a:link.active, #multiSelectors a:link.active {
    background-color: <?= $customHiliteBgColor ?> !important;
}

.item-more a:link, .item-more a:visited {
    background-color: <?= $loadmoreBgColor ?> !important;
    color: <?= $loadmoreTextColor ?> !important;
}

.item-more a:hover {
    background-color: <?= $loadmoreHoverBgColor ?> !important;
    color: <?= $loadmoreHoverTextColor ?> !important;
}

#sidebar-cats {
    display:<?= $sidebarCats ? 'block' : 'none' ?>;
}

<? if (!$headerMenuBurger): ?>
.mobile-menu {
    display:none !important;
}
<? endif; ?>

@media (orientation: portrait) {
    #modal-warning .modal-body img#logo-icon,.primary-header .col-logo .logo img#logo-icon {
        max-width: <?= $headerLogoWidthMobile ?> !important;
    }
    #sidebar-cats {
        display:<?= $sidebarCatsMobile ? 'block' : 'none' ?>;
    }
    .mobile-menu {
        display:flex;
    }
/*
    #sidebar {
        width:50% !important;
    }
*/
    .islink {
        margin: 0 auto !important;
    }
<? if ($headerMenu): ?>
    #sidebar-anchor {
        display:<?= $headerMenuMobile ? 'block' : 'none' ?>;
    }
<? endif; ?>
<? if (empty($homeWebcamsSearchCloudMobile)): ?>
    .cloud {
        display:none !important;
    }
<? endif; ?>
    .headermenu-desktop {
        display:none !important;
    }
    .headermenu-mobile {
        display:block !important;
    }
    .mobile-menu {
        display:block !important;
    }
    .sidebar-desktop {
        display:none !important;
    }
    .sidebar-mobile {
        display:block !important;
    }
    .primary-header {
        padding:0 !important;
    }
    .primary-header div {
        padding:2px !important;
    }
}

#customFloatingChatEmbed {
    position:fixed;
    z-index:101;
    visibility:none;
    /*display:inline-block;*/

<? if ($customEmbedPosition == 'top'): ?>
    top:0;
    left:0;
<? else: ?>
    /*
    bottom:<?= (int)($customEmbedWidth / 16 * 9 * 0.85) ?>px;
    right:-<?= (int)($customEmbedWidth * 0.15) ?>px;
    */
    bottom: 0;
    right: 0;
<? endif; ?>
}

#customFloatingChatEmbed iframe{
    width:<?= $customEmbedWidth ?>px !important;
    height:<?= (int)($customEmbedWidth * 0.6)  ?>px !important;
}

<? if (!empty($gridCornerRadius)): ?>
.preview, #floatingChat iframe {
    border-radius: <?= $gridCornerRadius ?> !important;
    -moz-border-radius: <?= $gridCornerRadius ?> !important;
    -webkit-border-radius: <?= $gridCornerRadius ?> !important;
<? if (!empty($gridBorderStyle)): ?>
    border: <?= $gridBorderStyle ?> !important;
<? elseif (!empty($gridBorderColor)): ?>
    border: 1px solid <?= $gridBorderColor ?> !important;
<? endif; ?>
}
<? endif; ?>

#modal-warning .modal-body img#logo-icon,.primary-header .col-logo .logo img#logo-icon {
    max-width: <?= $headerLogoWidth ?>;;
}

.item {
    color: <?= $gridTextColor ?>
}

#big-name {
    color: <?= $profileTitleTextColor ?>
}

.model-preview {
    color: <?= $profileTextColor ?>;
}

.page-title h1, .model-preview h1 {
    font-size: <?= $profileTitleFontSize ?>;

    margin: 3px;
color: white;
text-transform: capitalize;
font-size: 23px;
}

<? if ($sidebarAnimateTime): ?>
.menu-header .main-nav li a,.sidebar {
    -webkit-transition: all <?= $sidebarAnimateTime ?> ease;
    -o-transition: <?= $sidebarAnimateTime ?> ease all;
    transition: all <?= $sidebarAnimateTime ?> ease;
}
<? endif; ?>

#tab-girls .selected {
<? if (!empty($sidebarTagHiliteColor)): ?>
    color: <?= $sidebarTagHiliteColor ?> !important;
<? endif; ?>
    font-weight: bold;
}

.thumbs-row {
    display: flex;
    flex-wrap: wrap;
}

.thumbs-cell {
    display: flex;
    justify-content: center;
    align-items: center;
    background: <?= $thumbsBgColor ?>;
    margin-right: <?= $thumbSpacing ?>;
}

.discover .thumbs-cell {
    --width: calc((100% / <?= $discoverPageThumbs ?>) - <?= $thumbSpacing ?>);
    width: var(--width) !important;
    height: var(--width) !important;
}

.thumbs-image {
    display: block;
    overflow: hidden;
}

.tagspage-row {
    display: flex;
    flex-wrap: wrap;
    margin-bottom: <?= $thumbSpacing ?>;
}

.tagspage-row > div {
    justify-content: center;
    align-items: center;
}

.tagspage-thumbs {
    display: flex;
}

.tagspage-thumbs .thumbs-cell {
    display: flex;
    --width: calc((100% / <?= $tagsPageThumbs ?>) - <?= $thumbSpacing ?>);
    width: var(--width);
    height: var(--width);
    justify-content: center;
    align-items: center;
}

.tagspage-name {
    width: 8em;
}

.tagspage-viewers, .tagspage-rooms {
    width: 4em;
}

.tagspage-thumbs {
    width: calc(100% - 16em);
}

.tagspage-thumbs div {
    display: flex;
    justify-content: center;
    align-items: center;
    background: <?= $thumbsBgColor ?>;
    margin-right: <?= $thumbSpacing ?>;
}

<? if (!empty($gridSpacing)): ?>
.item-grid .item {
    padding-left: 0;
    padding-right: <?= $gridSpacing ?>;
    margin-bottom: <?= $gridSpacing ?>;
}
#webcams {
    margin:<?= $gridSpacing ?> !important;
    margin-right: 0;
}
<? endif; ?>

.cookie-notify {
    background-color: <?= empty($cookieAcceptBgColor) ? '#888888' : $cookieAcceptBgColor ?>;
}

.cookie-notify-button {
    background-color: <?= $cookieAcceptBtnBgColor ?>;
    color: <?= $cookieAcceptBtnTextColor ?> !important;
}

.widget-tabs .tab-block a {
    padding: <?= $sidebarSpacing ?> 0;
}

.primary-header {   /* MADE BY HORATIU */
padding: <?= $headerPadding ?> <?= $headerPadding ?> !important;
}

.age-warn-title {
    color: <?= $defaultTextColor ?>;
}

.cookie-notify {
    color: <?= $defaultTextColor ?>;
}




.info-wrapper {
    z-index:25;
}


<? if (!empty(TEMPLATES_FLAVOR) && file_exists(TEMPLATES_FLAVOR . 'style.css')) readfile(TEMPLATES_FLAVOR . 'style.css'); ?>
<? if (!empty(TEMPLATES_FLAVOR) && file_exists(TEMPLATES_FLAVOR . 'style.php')) include(TEMPLATES_FLAVOR . 'style.php'); ?>
<? if (file_exists(getConfig('site', 'webDir', '*') . 'site.css')) readfile(getConfig('site', 'webDir') . 'site.css'); ?>
<? ob_end_flush(); exit; ?>
