<?php
session_start();
require 'vendor/autoload.php'; // Include PHPMailer

use PHPMailer\PHPMailer\PHPMailer;
use PHPMailer\PHPMailer\Exception;

global $_AVOS;

// Check if database configuration is set
if (isset($_AVOS['config']['mysql'])) {
    // Get database configuration
    $db_host = $_AVOS['config']['mysql']['hostname'];
    $db_username = $_AVOS['config']['mysql']['username'];
    $db_password = $_AVOS['config']['mysql']['password'];
    $database = $_AVOS['config']['mysql']['database'];

    // Establish database connection
    $conn = new mysqli($db_host, $db_username, $db_password, $database);
    if ($conn->connect_error) {
        die("Connection failed: " . $conn->connect_error);
    }

    // Check if the reset token is provided in the URL
    if (isset($_GET["token"])) {
        $resetToken = $_GET["token"];

        // Prepare a query to select the user with the given reset token
        $stmt = $conn->prepare("SELECT id, username FROM member WHERE reset_token = ?");
        $stmt->bind_param("s", $resetToken);
        $stmt->execute();
        $result = $stmt->get_result();

        if ($result->num_rows === 0) {
            echo "Invalid or expired reset token.";
        } else {
            // Token is valid; display the password reset form
            if ($_SERVER["REQUEST_METHOD"] == "POST" && isset($_POST["reset_password"])) {
                // Handle password reset here
                $newPassword = $_POST["new_password"];
                $confirmPassword = $_POST["confirm_password"];

                if ($newPassword === $confirmPassword) {
                    // Hash the new password (you should use a secure password hashing method)
                    $hashedPassword = password_hash($newPassword, PASSWORD_DEFAULT);

                    // Update the user's password in the database
                    $user = $result->fetch_assoc();
                    $userId = $user["id"];

                    $updateStmt = $conn->prepare("UPDATE member SET password = ?, reset_token = NULL WHERE id = ?");
                    $updateStmt->bind_param("si", $hashedPassword, $userId);

                    if ($updateStmt->execute()) {
                        echo "Password reset successful. You can now <a href='/user-login'>log in</a> with your new password.</div>";
                    } else {
                        echo "Error updating password: " . $updateStmt->error;
                    }
                } else {
                    echo "Password and confirm password do not match.";
                }
            } else {
                // Display the password reset form
                ?>
               
                  



                    <center>



<div class="store-item mlr-neg-5 mt5" style="width:50%">
            <div class="col-right">
                <div class="text-center">
                    <!-- Login popup -->
                    <div class="well">
                        <h4>Reset Your Password</h4>
                        <p class="p-small" >Set Your New Password.</p>
                        <br>
                        <form method="POST" action="">
    <input type="password" name="new_password" class="input-mfcs mt10" placeholder="Enter your new password" required><br>
    
    <input type="password" name="confirm_password" class="input-mfcs mt10" placeholder="Confirm your new password" required><br>
    <br>
    <button type="submit" name="reset_password" class="btn btn-green">Reset Password</button>
</form>
                    </div>
                </div>
            </div>
        </div>
</center>  





            </div>



                <?php
            }
        }

        $stmt->close();
    } else {
        echo "Reset token not provided.";
    }

    // Close the database connection
    $conn->close();
}
?>
