
<style>

.rating {
    font-size: 24px;
}

.star {
    cursor: pointer;
}

.star.active {
    color: gold; /* Change to the color you prefer */
}
</style>

<?



function formatDateTimeAgo($dateTime) {
  $now = new DateTime();
  $creationDateTime = new DateTime($dateTime);

  $interval = $creationDateTime->diff($now);

  $formattedTime = '';

  if ($interval->y > 0) {
      $formattedTime = $interval->y . " year" . ($interval->y > 1 ? "s" : "");
  } elseif ($interval->m > 0) {
      $formattedTime = $interval->m . " month" . ($interval->m > 1 ? "s" : "");
  } elseif ($interval->d > 0) {
      $formattedTime = $interval->d . " day" . ($interval->d > 1 ? "s" : "");
  } elseif ($interval->h > 0) {
      $formattedTime = $interval->h . " hour" . ($interval->h > 1 ? "s" : "");
  } elseif ($interval->i > 0) {
      $formattedTime = $interval->i . " minute" . ($interval->i > 1 ? "s" : "");
  } elseif ($interval->s > 0) {
      $formattedTime = $interval->s . " second" . ($interval->s > 1 ? "s" : "");
  } else {
      $formattedTime = "Just now";
  }

  return $formattedTime . " ago";
}

$conn = new mysqli($host, $username, $password, $database);
if ($conn->connect_error) {
    die("Connection failed: " . $conn->connect_error);
}

// Check if the user is logged in based on the session
if (isset($_SESSION['user_id']) && isset($_SESSION['username'])) {
  $isLoggedIn = true;
} else {
  $isLoggedIn = false;
}

if ($isLoggedIn) {
  if ($_SERVER["REQUEST_METHOD"] === "POST" && isset($_POST["comment"])) {
      $userId = $_SESSION['user_id'];
      $comment = $_POST["comment"];
      $modelId = $model['id']; // Assuming $model['id'] contains the model_id
      $username = $_SESSION['username'];
      $clientTime = date('Y-m-d H:i:s');
      // Insert the comment into the database with the model_id
      $sql = "INSERT INTO userComments (user_id, comment, created_at, model_id) VALUES (?, ?, ?, ?)";
      $stmt = $conn->prepare($sql);
      $stmt->bind_param("issi", $userId, $comment, $clientTime, $modelId);

      if ($stmt->execute()) {
        //  echo "Comment posted successfully.";
      } else {
          echo "Error: " . $stmt->error;
      }

      $stmt->close();
  }
}

// Retrieve and display comments from the database
// Retrieve and display comments for a specific model_id
$modelIdToCheck = $model['id']; // Assuming $model['id'] contains the model_id you want to check

$sql = "SELECT * FROM userComments WHERE model_id = ?";
$stmt = $conn->prepare($sql);
$stmt->bind_param("i", $modelIdToCheck);
$stmt->execute();
$result = $stmt->get_result();

if ($result->num_rows > 0) {
    while ($row = $result->fetch_assoc()) {
        // Display comments as before
?>
       

<div class="container-thing container-thing-v2 ask-me">
  <div class="ask-me-header">
  <div class="ask-me-question-container " id="question_53312">
    <div class="ask-me-answer">
      <div class="ask-me-avatar">

      <?php
       $userId = $_SESSION['user_id']; // Replace with the user's ID (retrieve it from your authentication system)
            $avatarImagePath = "/photosUsers/$userId/user_avatar.webp";
            if (!file_exists($_SERVER['DOCUMENT_ROOT'] . $avatarImagePath)) {
                $avatarImagePath = "https://bootdey.com/img/Content/avatar/avatar3.png"; // Set the path to your default avatar image
            }
            ?>
          <img src="<?= $avatarImagePath ?>">
          <div class="ask-me-answer-text">
            <span class="ask-me-nick"><?= $username?> </span>comment <?= formatDateTimeAgo($row["created_at"]) ?>
          </div>
      </div>
      <div><?= $row["comment"] ?></div>
    </div>
</div>



</div>
</div>
  
  
  <?  }
} else {?>
    <div class="ask-me-header">
  
  <div class="visible-xs title-xs breadcrumb-alternative-title">
    <span>No comments</span>
  </div>
</div>
<?}

// Close the database connection
$conn->close();
?> 
 <?php if ($isLoggedIn): ?>
        <h5>Speak Up about <?= ucfirst($model['nickname'])?> from <?= ucfirst($model['site'])?> </h5>
        <form method="POST" action="">
            <textarea name="comment" placeholder="Write your comment here" class="input-mfcs"></textarea>
            <div class="rating">
    <span class="star" data-rating="1">&#9733;</span>
    <span class="star" data-rating="2">&#9733;</span>
    <span class="star" data-rating="3">&#9733;</span>
    <span class="star" data-rating="4">&#9733;</span>
    <span class="star" data-rating="5">&#9733;</span>
</div>
<input type="hidden" name="rating" value="0" id="rating-input">
            <button type="submit">Post Comment</button>
        </form>
        <script>
    const stars = document.querySelectorAll('.star');
    const ratingInput = document.getElementById('rating-input');

    stars.forEach((star) => {
        star.addEventListener('click', () => {
            const rating = star.getAttribute('data-rating');
            ratingInput.value = rating;
            // Optionally, you can highlight the selected stars
            stars.forEach((s) => {
                if (s.getAttribute('data-rating') <= rating) {
                    s.classList.add('active');
                } else {
                    s.classList.remove('active');
                }
            });
        });
    });
</script>





<div class="container-thing container-thing-v2 ask-me">
  <div class="ask-me-header">
  <div class="ask-me-question-container " id="question_53312">
    <div class="ask-me-answer">
      <div class="ask-me-avatar">

      <?php
       $userId = $_SESSION['user_id']; // Replace with the user's ID (retrieve it from your authentication system)
            $avatarImagePath = "/photosUsers/$userId/user_avatar.webp";
            if (!file_exists($_SERVER['DOCUMENT_ROOT'] . $avatarImagePath)) {
                $avatarImagePath = "https://bootdey.com/img/Content/avatar/avatar3.png"; // Set the path to your default avatar image
            }
            ?>
          <img src="<?= $avatarImagePath ?>">
          <div class="ask-me-answer-text">
            <span class="ask-me-nick"><?= $username?> </span>comment <?= formatDateTimeAgo($row["created_at"]) ?>
            Rating: <?= $row["rating"] ?>
          </div>
      </div>
      <div><?= $row["comment"] ?></div>
    </div>
</div>



</div>
</div>
  
  

    <?php else: ?>
        <p>Please log in to leave a comment.</p>
    <?php endif; ?>




  