<?php
session_start();
global $_AVOS;
require 'vendor/autoload.php'; // Include PHPMailer

use PHPMailer\PHPMailer\PHPMailer;
use PHPMailer\PHPMailer\Exception;

// Check if database configuration is set
if (isset($_AVOS['config']['mysql'])) {
    // Get database configuration
    $db_host = $_AVOS['config']['mysql']['hostname'];
    $db_username = $_AVOS['config']['mysql']['username'];
    $db_password = $_AVOS['config']['mysql']['password'];
    $database = $_AVOS['config']['mysql']['database'];

    // Establish database connection
    $conn = new mysqli($db_host, $db_username, $db_password, $database);
    if ($conn->connect_error) {
        die("Connection failed: " . $conn->connect_error);
    }

    // Handle form submission
    if ($_SERVER["REQUEST_METHOD"] == "POST") {
        $userName = $_POST["username"];
       // $usertype = $_POST["type"]; // This is the user type
         $usertype = 'notSet'; 
        $email = $_POST["email"];
        $password = $_POST["password"];

        // Check if the username or email is already in use
        $checkUserQuery = "SELECT * FROM member WHERE username = ? OR email = ?";
        $stmtCheckUser = $conn->prepare($checkUserQuery);
        $stmtCheckUser->bind_param("ss", $userName, $email);
        $stmtCheckUser->execute();
        $result = $stmtCheckUser->get_result();

        if ($result->num_rows > 0) {
            // Determine if username or email is already in use
            function suggestUsernames($baseUsername, $numSuggestions = 5) {
                $suggestions = [];
            
                // Generate random username variations and add them to the suggestions array
                for ($i = 1; $i <= $numSuggestions; $i++) {
                    $randomSuffix = rand(100, 999); // Generate a random 3-digit number
                    $suggestedUsername = $baseUsername . $randomSuffix;
                    $suggestions[] = $suggestedUsername;
                }
            
                return $suggestions;
            }
            $row = $result->fetch_assoc();
            if ($row['username'] === $userName) {
                $errorMessage = 'Username is already in use.';
                // Provide username suggestions
                $suggestions = suggestUsernames($userName);
                if (!empty($suggestions)) {
                    $errorMessage .= '<br>Suggested usernames: ' . implode(', ', $suggestions);
                }
            } else {
                $errorMessage = 'Email is already in use.';
            }
            $model['site'] =  $embedFeaturedModels[0]['site'];
            $model['nickname'] =  $embedFeaturedModels[0]['nickname'];
            echo '<div class="highlight-area things-section">
                  <div class="well text-things-index xs-undo-side-padding mt5">
                  <div class="row mt5">
                  <div class="col-xs-12 col-sm-7">
                  
                 <code> <p style="color:orangered">' . $errorMessage . '</p></code>
                  </div>
                  </div>
           <h4>  ' . $model['nickname'] . ' from ' . $model['site'] . ' </h4>
                  <div class="rwd-media" style="overflow:hidden;">';
              
                  echo  Avos\User\encodeChatEmbed($model) ;
                  echo '</div>
                  </div>
                  <div style="clear:both;"></div>
                  </div>
                  
                  </div>';
                  
              
        }
         elseif (strlen($password) < 8 || !preg_match("/[A-Z]/", $password) || !preg_match("/[a-z]/", $password) || !preg_match("/\d/", $password) || !preg_match("/[\W_]/", $password)) {
            $model['site'] =  $embedFeaturedModels[0]['site'];
            $model['nickname'] =  $embedFeaturedModels[0]['nickname'];
            echo '<div class="highlight-area things-section">
                  <div class="well text-things-index xs-undo-side-padding mt5">
                  <div class="row mt5">
                  <div class="col-xs-12 col-sm-7">
           
               <code> 
               <p style="color:orangered">Password must be at least 8 characters long and contain an uppercase letter, a lowercase letter, a number, and a symbol.</p>
              
               </center>
                </div>
                 
                  </div>
                  <h4>  ' . $model['nickname'] . ' from ' . $model['site'] . ' </h4>
                  <div class="rwd-media" style="overflow:hidden;">';
                  echo  Avos\User\encodeChatEmbed($model) ;
                  echo '</div>';
             
               
                  echo '</div>';
                  echo '<div style="clear:both;"></div>
                  </div></div>';
        } else {
            // Hash password before storing
            $hashedPassword = password_hash($password, PASSWORD_DEFAULT);

            // Insert user data into the database
            $stmt = $conn->prepare("INSERT INTO member (username, password, email, type) VALUES (?, ?, ?, ?)");
            $stmt->bind_param("ssss", $userName, $hashedPassword, $email, $usertype);

            if ($stmt->execute()) {
    // Retrieve the newly inserted id
    $newUserId = $stmt->insert_id;

    // Close the statement properly
    $stmt->close();

    // Close the database connection
    $conn->close();

    // Verify the password before redirecting
    if (password_verify($password, $hashedPassword)) {
        // Set up a session for the newly registered user
        $_SESSION['user_id'] = $newUserId; // Store the new user's id in session
        $_SESSION['username'] = $userName;
        $_SESSION['usertype'] = $usertype;
        $_SESSION['user_id'] = $newUserId;

        // Send a welcome email with the new credentials to the registered user
        $to = $email;
        $subject = "Welcome to $userResetSiteName";
       

       $message = "
       <html>
       <br><br>
       <body>
       <br><br>
    <div style='background-color:#cfe2ec;text-align:center;'>
    <br><br>
    <div style='background:#fff;background-color:#fff;margin:0px auto;max-width:600px'>
      <h4 style='color: green;'>Dear $userName,</h4>
        <p>Welcome to $userResetSiteName! You can now log in with the following credentials:</p>
        <ul style='list-style-type: none; padding: 0;'>
        <li style='margin-bottom: 5px;'><strong style='color: #008000;'>Username:</strong> $userName</li>
        <li><strong style='color: #008000;'>Password:</strong> $password</li>
    </ul>
    
        <p>Thank you for choosing us!</p>
        
        <p>Explore our website by clicking <a href='{$_AVOS['config']['site']['url']}'>here</a>.</p>

        <img style='height: 50px;' src='{$_AVOS['config']['site']['url']}$headerLogoUrl' alt='Company Logo'>
        <p>Best regards, my name is $userSuperAdminName</p>
        <p>For any questions, please don't hesitate to contact me.</p>
       
        </div>
        <br><br>
            </div>
            <br><br>
            </body>
            <br><br>
            </html>
";





        

        // Send the email using PHPMailer or your preferred email sending method
        $mail = new PHPMailer(true);

        try {
            $mail->isSMTP();
            $mail->Host = 'smtp.gmail.com'; // Use Gmail's SMTP server
            $mail->SMTPAuth = true;
            $mail->Username = $userEmailSender; // Replace with your Gmail email address
            $mail->Password = $userEmailSenderPass; // Replace with your Gmail password
            $mail->SMTPSecure = 'tls';
            $mail->Port = 587;

            $mail->setFrom($userEmailSender, 'Warm Welcome from ' . $userResetSiteName);// Replace with your name and Gmail email
            $mail->addAddress($to);
            $mail->isHTML(true);
            $mail->Subject = $subject;
            $mail->Body = $message;

            $mail->send();

            // Redirect to the user page after successful registration and login
            header("Location: /users/" . $_SESSION['username']);
            exit(); // Ensure that the script stops executing after redirection
        } catch (Exception $e) {
            echo "Email sending failed: " . $mail->ErrorInfo;
        }
    } else {
        echo "Password verification failed.";
    }
} else {
    echo "Error creating user: " . $stmt->error;

    // Close the statement and database connection even in case of an error
    $stmt->close();
    $conn->close();
}










        }
    } else {
        // Close the database connection if no form submission
        $conn->close();
    } 
}
?>
